Skip to main content
POST
/
tasks
Create a task
curl --request POST \
  --url https://api.maxcare.ai/v1/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Organization-Id: <x-organization-id>' \
  --data '
{
  "noteId": "3cc73cb6-9c59-403c-a910-8af6c5693b25",
  "providerId": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
  "notes": "Review missing plan for Impression #3: Irritant Contact Dermatitis",
  "assigneeIds": [
    "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a"
  ]
}
'
{
  "code": "success",
  "data": {
    "id": "a1b2c3d4-5678-4abc-9def-0123456789ab",
    "status": "not_started",
    "syncStatus": "synced",
    "notes": "Review missing plan for Impression #3",
    "noteId": "3cc73cb6-9c59-403c-a910-8af6c5693b25",
    "ehrType": "modmed",
    "assignedProviders": [
      {
        "id": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
        "firstName": "James",
        "lastName": "Wilson",
        "displayFirstName": "Dr. James",
        "displayLastName": "Wilson, MD",
        "username": "jwilson",
        "roles": [
          "Physician"
        ],
        "individualNpi": "1234567890",
        "canFinalize": true,
        "canCosign": false
      }
    ],
    "createdAt": "2026-03-20 18:35:10.209452+00",
    "updatedAt": "2026-03-23 03:15:47.285+00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.maxcare.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Marketplace API key

Headers

X-Organization-Id
string
required

Target clinic organization ID

Body

application/json
noteId
string
required

Note ID to attach the task to

Example:

"3cc73cb6-9c59-403c-a910-8af6c5693b25"

providerId
string
required

Provider ID of the user creating/owning the task (used to authenticate with the EHR)

Example:

"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a"

notes
string
required

Task description / notes

Example:

"Review missing plan for Impression #3: Irritant Contact Dermatitis"

assigneeIds
string[]
required

Array of provider IDs to assign the task to (at least one required)

Example:
["d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a"]

Response

Success

code
string
required

Response code

Example:

"success"

data
object
required